Platform fraud kurallarını listele
curl --request GET \
--url https://fraud-sandbox.payven.com.tr/api/v1/platform/fraud/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://fraud-sandbox.payven.com.tr/api/v1/platform/fraud/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fraud-sandbox.payven.com.tr/api/v1/platform/fraud/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"expression_json": "<string>",
"priority": 123,
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"total_pages": 123,
"total_count": 123,
"has_previous_page": true,
"has_next_page": true
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}PlatformFraudRules
Platform fraud kurallarını listele
GET
/
api
/
v1
/
platform
/
fraud
/
rules
Platform fraud kurallarını listele
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Query Parameters
Available options:
global, tenant Available options:
sanal_pos, para_transferi, fatura_odeme ⌘I